﻿using System;
using System.Threading;

using Microsoft.SPOT;

using GHIElectronics.NETMF.Hardware;

namespace RobotConsole
{
    public class Program
    {
        public static void Main()
        {
            RobotConnection robot = new RobotConnection();

            robot.Open();

            while (true)
            {
                string message = robot.MessageString;
                if (message.Length > 0)
                {
                    Debug.Print(message);
                }

                robot.Send("<Left>");

                Thread.Sleep(1000);

                robot.Send("<Right>");

                Thread.Sleep(1000);

                robot.Send("<Distance>");

                Thread.Sleep(1000);

            
            }
        }

    }
}
